import pygame
import json


class Items():
    def __init__(self):
        self.load_items()
        # Creating an item object
        # Item(id, json_object, image)
        # Item("sword", self.items["sword"], self.art["sword"])

    def load_items(self):
        with open("assets/json/items.json") as f:
            self.items = json.load(f)
        self.art = {}
        for item in self.items:
            self.art[item] = pygame.transform.scale(pygame.image.load(self.items[item]["art"]).convert_alpha(), self.items[item]["dimensions"])


class Item():
    def __init__(self, id, item, image):
        self.id = id
        self.item = item
        self.name = self.item["name"]
        self.width = self.item["dimensions"][0]
        self.height = self.item["dimensions"][1]
        self.image = image