import pygame


class Particles():
    def __init__(self):
        self.particles = []

    def render(self, win, scroll):
        for particle in self.particles:
            particle.render(win, scroll)
        for particle in self.particles: # double for loop so no index errors
            if particle.timer <= 0:
                self.particles.remove(particle)


class Particle():
    def __init__(self, pos, vel, timer, color, gravity=None):
        self.x = pos[0]
        self.y = pos[1]
        self.velocity = pygame.Vector2(vel[0], vel[1])
        self.timer = timer
        self.color = color
        self.gravity = gravity

    def render(self, win, scroll):
        self.x += self.velocity.x
        self.y += self.velocity.y
        if self.gravity != None:
            self.velocity.y += self.gravity
        self.timer -= 0.1

        pygame.draw.circle(win, self.color, (self.x-scroll.x, self.y-scroll.y), self.timer)